#!/bin/bash
# This script is used to check if the network is up and running.


function check_network() {
    # $1: interface name
    # $2: target ip address

    local IFNAME=$1
    local t_ip=$2
    
    ping -I ${IFNAME} -c 1 -s 0 ${t_ip} > /dev/null 2>&1
    return $?
}